2.1.1
    * add control command to change fps
    * enable misp zoom
2.1.0
    * bump version to fix build
2.0.9
    * add new FPV specific sensor types
    * add C34, C38, C51, C52, updates to other cam configs
    * add dynamic bitrate update to misp encoder
2.0.8
    * add C33 config
2.0.7
    * Add MSP parser and OSD for MISP streams
2.0.6
    * add C50 config
2.0.5
    * enable MISP for OV9782
2.0.4
    * send command to imu-server to read IMU FIFO after fsync-driven camera frames
2.0.3
    * fix typo in raw format type for imx412 misp pipeline
    * undo 12-bit testing code
    * allow running on cores 2&3 if A65 TOF is present
2.0.2
    * move cam config 22 for D0013 to new platform_config_2 for m0188
    * lock to 4 bigger cores to improve stability and latency
2.0.1
    * add boson sensor type
    * add C37 config
2.0.0
    * fix C36 config
1.9.9
    * add C36 - M0173 w/ imx412 and dual ar0144
1.9.8
    * update D0013: C31 - dual ar0144
1.9.7
    * fix bug where snapshots had double exif blocks, thanks @hlyvko !
    * add milliseconds to snapshot file name to support rapid snapshots
    * keep either small video or preview streams running when using only snapshots to keep AE alive
    * OMX buffer fix to remove automatic memcopy
1.9.6
    * update to C29 config
    * OMX encoder settings tweak
1.9.5
    * add C32 camera config for D0008
1.9.4
    * add C31 camera config
    * fix exif GPS data
    * add exposure max for liow2 TOF to conf
1.9.3
    * add initial m0173 configs
    * enable rotating TOF debug images to portrait mode for starling
    * add max exposure control for TOF
    * enable more framerates for TOF
    * fix TOF setup bugs
    * set LIOW2 TOF to default 10hz
    * tune point cloud processing params for LIOW2
1.9.2
    * fix -C22 for D0013
1.9.1
    * liow2 tof
    * new royale support
1.9.0
    * targeted for SDK 1.2.x
    * swap to tof2_data_t type for tof publication to MPA
    * support for new voxl-fsync kernel module for synced cameras
    * temperarily add ar0144_slave drivers
    * new build dependency on voxl-cross:V2.7
    * (qrb5165) requires new system image with royale-5-8-spectre-6-10
1.8.10
    * fix cpu monitor not starting libmodalpipe helper (tof decimator feature)
1.8.9
    * allow duplicate cam id's in config file as long as they are disabled
    * parse independent exposure setting if stereo cam has secondary id=0
    * start the gps client later, after all normal setup steps
1.8.8
    * add feature to attempt skipping potentially unplugged cameras during startup
    * fix bug that might retrieve gain limits incorrectly where camId doesn't match the camera index in config file (rare)
    * now exit with an error if no cameras could be started instead of spinning forever.
    * add temporary fixed ar0144 driver
    * change cam config 20 for D0011 Starling PX4 edition
    * add cci-direct tweaks to set ov7251 blc to every frame. fixes flicker
1.8.7
    * fix bug where color images debayered to RGB still said NV12 in the pipe info json
    * add support for rotating AR0144 image
1.8.6
    * put old exposure settings back for now until we do testing
    * more ar0144 support
    * add exposure and gain upper and lower limits to config file
1.8.5
    * add cam config 22 for D0013
    * fix sentinel front stereo flip on old system image
    * fix jpeg snapshots being cut short by 1 byte
1.8.4
    * voxl-configure-cameras better handling of new custom config file when fresh/missing
    * dynamically set libmodal_exposure gain limits based on hal3 reported numbers in prep for system image 1.7.x gain scaling change
    * set C18 config name
    * favor faster exposure times for vio cameras
1.8.3
    * config file now has simple boolean for raw data preview true/false
    * remove old pre_format field from config file
    * fix regression in debayer processing
    * white balance for m0113 ov9782 without IR filter
    * add single mode option for combo sensors
    * allow both "snapshot-no-save" and "snapshot_no_save" commands
1.8.2
    * split up buffergroup mutex per group now
    * voxl-camera-server -l stops the background service before running
    * pick imx214 and imx412 resolutions based on system image version
    * workaround bug in cam config helper
    * pick Sentinel Stereo flip based on system image
1.8.1
    * new camera configs 18-21
    * new config file option to rotate stereo cams independently
    * flip Sentinel front stereo back around now that the driver is unflipped
1.8.0
    * add software debayering for OV9782 when running in raw preview mode
    * new tools voxl-bayer-stats and voxl-image-stats to help with image tuning
    * increase AE brightness for ov9782
    * new rotate feature via cci-direct for ov7251 and ov9782
    * add while balance for ov9782 when in RAW mode
    * add soft min exposure field to config file for MSV mode
    * migrate all camera configs to files
    * polish qrb5165-configure-cameras
1.7.2
    * improve voxl-camera-server -l information list
    * fix raw10 -> raw8 conversion with GBM buffers
    * fix segfault on start if camera is disconnected but still enabled
    * fix bug where pipe commands for exposure could break slave camera when not enabled
1.7.1
    * Small improvements to custom camera config
    * fix stride for ov7251 on qrb5165
    * discard stride completely on apq8096
    * fix some more uninitialized variables
1.7.0
    * add C17 IMX412 + TOF + Tracking + stereo 9782
    * swap qrb5165 buffer allocation to GBM
    * increase some default resolutions to full sensor res thanks to GBM
    * new experimental custom-camera-config file method for configuration
1.6.2
    * add C16 config: hires + tof + dual tracking
    * publish basic image format and size in the pipe info json
1.6.1
    * enable h265
    * tune OMX more
    * expose encoding parameters in config file
    * change snapshot filename to date:time.jpg
1.6.0
    * new pipe naming
    * snapshot enabled in qrb5165
1.5.4
    * config script cleanup
1.5.3
    * use imx412/imx678 as well for C4/C8 configs
1.5.2
    * fix bug with C15 config
1.5.1
    * new configure script for qrb5165 new cam driver paradigm
1.5.0
    * flip cameras for fpv cam config 15
1.4.10
    * camera-config-helper allows disabling cameras programmatically
    * disable right cam on qrb5165 config 15 for now
1.4.9
    * make sure TOF requests are sent when at least one tof subscriber exists
    * skip copying out data from tof to unused pip channels
1.4.8
    * prevent segfault when we run out of buffers
    * drop frames when we run out of buffers
    * drop frames when OMX gets backed up
1.4.7
    * break cam config list printing into its own script for configure-mpa
    * support for starling and fpv
1.4.6
    * set explicitly dependency on cpu-monitor version
1.4.5
    * fix some uninitialized variables
    * increase # of hal3 buffers
1.4.4
    * add optional decimator to TOF
1.4.3
    * depends on new libmodal_pipe 2.8.1
1.4.2
    * fix color stereo frames with pipe_server_write_list
1.4.1
    * Add logic to disable the preview stream if it's not needed
1.4.0
    * Add support for encoded video output
1.3.7
    * Add back option to change AE algorithm in config file
1.3.6
    * Add camera config 14
1.3.5
    * Add after and requires voxl-wait-for-fs
1.3.4
    * Update to use new cci direct interface
1.3.3
    * New debug feature: --self-identify: pulls camera info from module instead of config file, showing actual plugged in cameras
1.3.2
    * Add missing list option help text
1.3.1
    * Remove apparently unnecessary tof timestamp correction
1.3.0
    * Tof Framework up and running (full cross-platform support)
1.2.2
    * MULTITOF!!! (QRB only)
1.2.1
    * TOF!
1.1.4
    * enable 9782s on APQ
1.1.3
    * add option to run stereo cams with independent exposures
1.1.2
    * Enable old AE control commands
1.1.1
    * Fix bug with stereo camera pipe detection with new libmodal-pipe
1.1.0
    * fix bug in stereo state machine, quicker and more robust now
1.0.5
    * expose preview and snapshot resolutions for imx sensor in config file
1.0.4
    * add 9782 to camera_config.xml for voxl1
1.0.3
    * clean up snapshot code, now makes parent directories if needed
1.0.2
    * Fix bug with QRB 10 bit detection
1.0.1
    * Add camera configuration 13
1.0.0
    * Merge in apq functionality, TOF will be handled by a separate service
0.3.3
    * Expose additional msv algo parameters to the config file
0.3.2
    * Implement MSV exposure algo option
0.3.1
    * ov9782 working!
0.3.0
    * cross-platform apq/qrb working!
0.2.1
    * hires now uses ISP auto exposure
0.2.0
    * port in configure cameras
0.1.2
    * config helper now takes parameters
0.1.1
    * add fps to config file
0.1.0
    * Fix cameras not cleanly exiting
    * Add AE fields to the config file
    * Cameras won't run unless a client is looking for them to now
0.0.5
    * Purge old proprietary from repo
0.0.4
    * CI Updates
0.0.3
    * Working stereo sync and config file
    * Outstanding issue: config helper still needs to support all the configurations instead of only default
    * Outstanding issue: ov7251s seem to be getting postprocessed, need real raw data
    * Outstanding issue: server argument parser bugs out with wrong args
0.0.2
    * Working AE, stereo sync, config file
    * Outstanding issue: config help needs to support all the configurations instead of only default
0.0.1
    * Working on chipcode 14.x
    * Outstanding issue: ov7251s operating at half requested framerate
    * Outstanding issue: stereo cameras not syncing
    * Outstanding issue: 6 cameras hard coded, not pulling from config file
0.0.0
    * Initial port, working mode to print camera resolutions
